// DrawScreen.CPP
// Sets up the screen for parameter and wave display
#include <graphics.h>
#include <conio.h>

int DrawScreen(void)
{
  int gdriver = VGA, gmode = VGAHI, errorcode;
  int left,top,right,bottom,depth = 0,topflag = 0;

  char *Title = "SDN Data Acquisition by G.Forrest version 1.2 24/9/98";
  char *MenuText = "Press any key to disconnect...";

  // initialise graphics mode, "" specifies path to driver
  initgraph(&gdriver, &gmode, "C:\\BCDOS\\BGI");

  // read result of initialisation
  errorcode = graphresult();

  if (errorcode != grOk) {
    cprintf("Graphics error: %s\n", grapherrormsg(errorcode));
    cprintf("Press any key to halt...");
    getch();
    return 0;
  }

  // -------draw title bar----------
  setlinestyle(SOLID_LINE,1,1);
  setfillstyle(SOLID_FILL,BLUE);
  left = 20;
  top = 20;
  right = 620;
  bottom = 60;
  bar3d(left,top,right,bottom,depth,topflag);
  settextjustify(CENTER_TEXT, CENTER_TEXT);
  setcolor(YELLOW);
  settextstyle(DEFAULT_FONT, HORIZ_DIR,1);
  outtextxy(320,40,Title);

  // -----draw status bar-------------
  setfillstyle(SOLID_FILL,BLUE);
  setcolor(WHITE);
  top = 465;
  bottom = 478;
  bar3d(left,top,right,bottom,depth,topflag);
  settextjustify(LEFT_TEXT,CENTER_TEXT);
  outtextxy(42,472,MenuText);

  // draw parameter acquisition window
  setfillstyle(EMPTY_FILL,BLACK);
  setcolor(WHITE);
  top = 70;
  bottom = 460;
  right = 280;
  left = 20;
  bar3d(left,top,right,bottom,depth,topflag);

  // draw wave data acquisition window
  setcolor(WHITE);
  top = 70;
  bottom = 460;
  right = 620;
  left = 288;
  bar3d(left,top,right,bottom,depth,topflag);


  return 1;
}
