// Medical Function Codes

#ifndef MFC_H
#define MFC_H

char *MFC[] = { "Unavailable",	// 0
		"ECG",		// 1
		"I",		// 2
		"II",		// 3
		"III",		// 4
		"AVL",		// 5
		"AVR",		// 6
		"AVF",		// 7
		"V",		// 8
		"MCL1",		// 9
		"HR",		// A
		"Pulse",	// B
		"P1",		// C (Triple valued)
		"P2",		// D 	""
                "P3",		// E	""
                "P4",		// F	""
                "ABP",		// 10	""
                "CVP",		// 11
                "LAP",		// 12
                "PAP",		// 13 (TV)
                "ICP",		// 14
                "IUP",		// 15 (intrauterine pressure)
                "NIBP",		// 16
		"RESP",		// 17
		"AWRR",		// 18 (airway resp rate)
                "Temp1",	// 19
                "Temp2",	// 1A
                "CO2",		// 1B (airway CO2)
                "ETCO2",	// 1C
                "IMCO2",	// 1D
                "CpCO2",	// 1E (cutaneous pCO2)
                "CO",		// 1F stored
                "PCWP",		// 20 stored
                "BloodT",	// 21
                "VPB",		// 22 (ventric prem beats?)
                "RhyStat",	// 23 (rhythm status message)
                "Ectopics",	// 24 (ectopic beat status message)
                "FiO2",		// 25
                "CpO2",		// 26 (cutaneous pO2)
                "SpO2",		// 27
                "ART",		// 28 (TV)
                "RAP",		// 29
                "AoBP",		// 2A (TV),(Aortic BP)
                "T1-T2",	// 2B (Core-periph temp gradient)
                "Pleth",	// 2C
                "AUX",		// 2D
                "ST",		// 2E
                "SaO2",		// 2F
                "SvO2",		// 30
                "ST2",		// 31
                "ST3",		// 32
                "AP",		// 33
                "PIP",		// 34
                "TV",		// 35
                "AWF",		// 36
                "CCO",		// 37
                "56",		// 38
                "57",		// 39
                "58",		// 3A
                "59",		// 3B
                "60",		// 3C
                "61",		// 3D
                "62",		// 3E
                "CPP"		// 3F

};

#endif